Delete plan
Requires a user JWT with the admin role. Requires the plan name as confirmation and a replacement for assigned projects or overrides.
Authorization
AdminJWT AuthorizationBearer <token>
User JWT; backend checks the admin role. Project API keys cannot access admin endpoints.
In: header
Path Parameters
id*integer
Range
0 <= valueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://api.hisend.app/v1/admin/plans/0" \ -H "Content-Type: application/json" \ -d '{ "confirmation": "string", "reason": "string" }'Empty
{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}